## GoaPrinters GoaPrinters — Generated C code for the org.gnome.OnlineAccounts.Printers D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_printers_interface_info ()
guint | goa_printers_override_properties ()

## Types and Values

| GoaPrinters
struct | GoaPrintersIface
struct | GoaPrintersProxy
struct | GoaPrintersProxyClass
struct | GoaPrintersSkeleton
struct | GoaPrintersSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaPrinters
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaPrintersSkeleton
        ╰── GDBusProxy
            ╰── GoaPrintersProxy

## Prerequisites

GoaPrinters requires GObject.

## Implemented Interfaces

GoaPrintersProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaPrinters.

GoaPrintersSkeleton implements GDBusInterface and GoaPrinters.

## Known Implementations

GoaPrinters is implemented by GoaPrintersProxy and GoaPrintersSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Printers D-Bus interface in C.

## Functions

### goa_printers_interface_info ()

    GDBusInterfaceInfo *
    goa_printers_interface_info (void);

`goa_printers_interface_info` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Gets a machine-readable description of the org.gnome.OnlineAccounts.Printers D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.12.0

### goa_printers_override_properties ()

    guint
    goa_printers_override_properties (GObjectClass *klass,
                                      guint property_id_begin);

`goa_printers_override_properties` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Overrides all GObject properties in the GoaPrinters interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.12.0

## Types and Values

### GoaPrinters

    typedef struct _GoaPrinters GoaPrinters;

`GoaPrinters` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Printers.

Since: 3.12.0

### struct GoaPrintersIface

    struct GoaPrintersIface {
      GTypeInterface parent_iface;
    };

`GoaPrintersIface` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Printers.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 3.12.0

### struct GoaPrintersProxy

    struct GoaPrintersProxy;

`GoaPrintersProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaPrintersProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.12.0

### struct GoaPrintersProxyClass

    struct GoaPrintersProxyClass {
      GDBusProxyClass parent_class;
    };

`GoaPrintersProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaPrintersProxy.

#### Members

Since: 3.12.0

### struct GoaPrintersSkeleton

    struct GoaPrintersSkeleton;

`GoaPrintersSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaPrintersSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.12.0

### struct GoaPrintersSkeletonClass

    struct GoaPrintersSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`GoaPrintersSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaPrintersSkeleton.

#### Members

Since: 3.12.0